# Installshield
![Alt-текст](scale-dec-600x600.jpg "Installshield")


_InstallShield_ — система создания инсталляторов и пакетов программного обеспечения для Microsoft Windows и Linux с закрытыми исходными кодами.

### Предназначение
Программный инструмент используется главным образом для установки программного обеспечения для Microsoft Windows, как на десктопные, так и серверные платформы, а также может быть использован для управления приложениями на различных портативных и мобильных устройствах.

Версия InstallShield 2011 была выпущена на рынок 19 августа 2010 года, она получила поддержку Windows 7, Windows Server 2008 R2, MSI 5, и являлась единственной установкой для поддержки Microsoft Application Virtualization, которая широко использует формат виртуализации приложений. Поддержка Visual Studio 2010, .NET Framework 4, интеграция с Team Foundation Server Build для компиляции и сборки проектов. Улучшенная поддержка 64-битных приложений.

Версия InstallShield 2015 получила поддержку Windows 10. В SP1 было введено исправление данной поддержки. Также, в версии 2015 года была введена поддержка Visual Studio 2015 и использование цифровых сертификатов с SHA-256. В SP1 была введена поддержка Microsoft App-V 5.1 и .NET Framework 4.6.

### История создания
Утилита была создана в 1992 году в Stirling Technologies, основанной двумя программистами Viresh Bhatia и Риком Харольдом (англ. Rick Harold). Позднее Stirling Technologies была переименована в InstallShield Corp и работала под этим названием вплоть до 2004 года, пока Macrovision (в июле 2009 года компания сменила своё название на Rovi Corporation) не приобрела на неё права. 1 апреля 2008 года компания Macrovision (в том числе и бренд InstallShield) была продана частной инвестиционной компании Thoma Cressey Bravo, образовав новую компанию под названием Acresso Software Corporation. В октябре 2009 Acresso Software Corporation анонсировала себе новое название Flexera Software.

### Создание программ инсталляции с помощью InstallShield

#### Справочная информация
Для установки разработанного приложения на компьютер пользователя применяются вспомогательные системные программы установки, которые при выполнении копируют всю необходимую информацию на компьютер клиента.
Одной из наиболее распространенных программ этого типа является программа InstallShield, которая упрощает процесс создания программ установки.
Окно программы после ее запуска имеет вид 

![Alt-текст](632.jpg "Installshield") 

В правой части главного окна отображается справочная информация (на английском языке), которая содержит пояснения о том, как работать с программой. В левой части окна расположено дерево, в котором можно выбирать нужные для настройки инсталлятора разделы. В центре окна будет отображаться информация, найденная по выбранному разделу.

#### Создание нового проекта

Для создания нового проекта в пункте меню File следует выполнить команду New. Перед вами откроется окно создания нового проекта.

![Alt-текст](633.jpg "Installshield")

В этом окне нужно указать путь проекта и имя его файла. У имени файла должно быть расширение ism. По возможности ему следует задать вполне осмысленное имя, т. к. оно будет использоваться в качестве имени проекта. Указав путь и имя проекта, следует нажать ОК. Теперь главное окно изменится и примет вид.

 ![Alt-текст](635.jpg "Installshield")
 
  Дерево слева, где были пункты помощи, пополнилось новыми пунктами. Выбирая эти пункты, необходимо будет указывать параметры будущего инсталлятора. Рассмотрим эти пункты более подробно.
Organize Your Setup (Организовать вашу установку) — в этом разделе указываются подпункты основных параметров программы установки. Если щелкнуть кнопкой мыши по этому пункту, то в центре окна  появится исчерпывающая информация о подпунктах, что в них хранится и для чего они предназначены. Далее пойдет описание подпунктов этого раздела.
 
#### General Information
 
 _General Information_ — здесь следует указать основные сведения о разработчике, указать свой сайт в сети Internet и контактную информацию.

 ![Alt-текст](636.jpg "Installshield")
 
 В этой таблице можно задать следующие основные свойства:
 
 - Author — здесь нужно ввести имя автора программы (или название своей компании);
 - Authoring Comments — комментарии автора;
 - Subject — здесь указывается имя программы, которую нужно инсталлировать;
 - Display Icon — иконка программы;
 - Product Version — версия продукта;
 - INSTALLDIR — директория, в которую будет установлена программа (по умолчанию используется директория 
 
#### Features 

 ![Alt-текст](637.jpg "Installshield")
 
 Слева находится дерево, в котором перечислены разные возможности инсталлятора. В данном случае по умолчанию создана только одна возможность — AlwaysInstall (Инсталлировать всегда). Чтобы создать новую возможность, например, возможность установки какого-либо другого элемента программы, следует щелкнуть правой кнопкой мыши по верхнему элементу или нажать клавишу Ins. В открывшемся поле нужно ввести название этого элемента. На дереве появится ветвь с указанным названием. Чтобы удалить вновь созданный элемент дерева, следует открыть на нем контекстное меню ) и в нем выполнить команду Delete.
 
  ![Alt-текст](639.jpg "Installshield") 
  
####  INI File Changes
 
Здесь указываются расширения, которые нужно зарегистрировать под программу. После выбора этого пункта появится окно.

 ![Alt-текст](641.jpg "Installshield")
 
####  Dialogs 
  
Здесь выбираются диалоговые окна, которые должны быть видны во время инсталляции. При выборе этого пункта открывается окно.

 ![Alt-текст](642.jpg "Installshield")
 
## Литература
  
  1.http://codingrus.ru/readarticle.php?article_id=1995
 